/* -*- mode: c++; c-basic-offset: 3 -*-
 *
 * PANDORE (PANTHEON Project)
 *
 * GREYC IMAGE
 * 6 Boulevard Marchal Juin
 * F-14050 Caen Cedex France
 *
 * This file is free software. You can use it, distribute it
 * and/or modify it. However, the entire risk to the quality
 * and performance of this program is with you.
 *
 * Please email any bugs, comments, and/or additions to this file to:
 * pandore@greyc.ensicaen.fr
 * http://www.greyc.ensicaen.fr/EquipeImage/Pandore/
 */

/**
 * @author Jean-Baptiste Hoock - 2005-07-28
 */

/**
 * @file include_curvelet.h
 */

#ifndef INCLUDE_FFTW_H
#define INCLUDE_FFTW_H

#include "fn_1.cpp"
#include "fn_2.cpp"
#include "fn_3.cpp"
#include "fn_4.cpp"
#include "fn_5.cpp"
#include "fn_6.cpp"
#include "fn_7.cpp"
#include "fn_8.cpp"
#include "fn_9.cpp"
#include "fn_10.cpp"
#include "fn_11.cpp"
#include "fn_12.cpp"
#include "fn_13.cpp"
#include "fn_14.cpp"
#include "fn_15.cpp"
#include "fn_16.cpp"
#include "fn_32.cpp"
#include "fn_64.cpp"
#include "ftw_2.cpp"
#include "ftw_3.cpp"
#include "ftw_4.cpp"
#include "ftw_5.cpp"
#include "ftw_6.cpp"
#include "ftw_7.cpp"
#include "ftw_8.cpp"
#include "ftw_9.cpp"
#include "ftw_10.cpp"
#include "ftw_16.cpp"
#include "ftw_32.cpp"
#include "ftw_64.cpp"
#include "fni_1.cpp"
#include "fni_2.cpp"
#include "fni_3.cpp"
#include "fni_4.cpp"
#include "fni_5.cpp"
#include "fni_6.cpp"
#include "fni_7.cpp"
#include "fni_8.cpp"
#include "fni_9.cpp"
#include "fni_10.cpp"
#include "fni_11.cpp"
#include "fni_12.cpp"
#include "fni_13.cpp"
#include "fni_14.cpp"
#include "fni_15.cpp"
#include "fni_16.cpp"
#include "fni_32.cpp"
#include "fni_64.cpp"
#include "ftwi_2.cpp"
#include "ftwi_3.cpp"
#include "ftwi_4.cpp"
#include "ftwi_5.cpp"
#include "ftwi_6.cpp"
#include "ftwi_7.cpp"
#include "ftwi_8.cpp"
#include "ftwi_9.cpp" 
#include "ftwi_10.cpp"
#include "ftwi_16.cpp"
#include "ftwi_32.cpp"
#include "ftwi_64.cpp"
#include "config.cpp"
#include "executor.cpp"
#include "generic.cpp"
#include "malloc.cpp"
#include "planner.cpp"
#include "putils.cpp"
#include "rader.cpp"
#include "timer.cpp"
#include "twiddle.cpp"
#include "wisdom.cpp"
#include "wisdomio.cpp"
#include "fftwf77.cpp"
#include "fftwnd.cpp"

#endif
